Skip to main content

Get last job execution for a given dataset

Retrieve the most recent job execution for a specified dataset. The datasetId query parameter is required.

Query Parameters
datasetId string — REQUIRED

The unique identifier of the dataset for which to fetch the last job execution.

datasetId string — REQUIRED

Dataset Id

Responses
200

Successfully retrieved the last job execution for the specified dataset.

Schema — OPTIONAL
id string
jobId string
datasetId string
description string — OPTIONAL
lowWatermark int64 — OPTIONAL
highWatermark int64 — OPTIONAL
status string — OPTIONAL

Possible values: [queued, running, finished, failed, skipped]

startTime int64 — OPTIONAL
endTime int64 — OPTIONAL
durationInSec int32 — OPTIONAL
priority int32 — OPTIONAL
jobExecutionErrors object[] — OPTIONAL
type string — OPTIONAL

Possible values: [platformError, jobError, unknownError]

json string — OPTIONAL
version string — OPTIONAL
active boolean — OPTIONAL
assetCreatedDate date-time — OPTIONAL
assetUpdatedDate date-time — OPTIONAL
createdTime int64 — OPTIONAL
updatedTime int64 — OPTIONAL
createdBy string — OPTIONAL
updatedBy string — OPTIONAL
owner string — OPTIONAL
tags string[] — OPTIONAL
id int32 — OPTIONAL
datasetId string — OPTIONAL
colName string — OPTIONAL
colNames string[] — OPTIONAL
lowWatermark int64 — OPTIONAL
highWatermark int64 — OPTIONAL
eventTime int64 — OPTIONAL
errorCode string — OPTIONAL
level string — OPTIONAL

Possible values: [critical, warning, info]

actionTaken string — OPTIONAL

Possible values: [Fixed, Expected, Ack_N_Review, Ignore]

jobId string — OPTIONAL
threadId string — OPTIONAL
jobExecutionId string — OPTIONAL
description string
frequency double — OPTIONAL
ownerId string — OPTIONAL
json string — OPTIONAL
version string — OPTIONAL
active boolean — OPTIONAL
assetCreatedDate date-time — OPTIONAL
assetUpdatedDate date-time — OPTIONAL
createdTime int64 — OPTIONAL
updatedTime int64 — OPTIONAL
createdBy string — OPTIONAL
updatedBy string — OPTIONAL
owner string — OPTIONAL
tags string[] — OPTIONAL
400

Bad request. The datasetId query parameter is missing or invalid.

404

No job execution found for the specified datasetId.